do


local CBFP_oldCAAMissileNanite03 = CAAMissileNanite03

CAAMissileNanite03 = Class(CBFP_oldCAAMissileNanite03) {

    UpdateThread = function(self)

        # Brute51: this is not really a bug fix, just fixing a small non-critical oversight. No bug fix number.

        WaitSeconds(1.5)
        if not self:BeenDestroyed() then # added by brute51
            self:SetMaxSpeed(80)
            self:SetAcceleration(10 + Random() * 8)
            self:ChangeMaxZigZag(0.5)
            self:ChangeZigZagFrequency(2)
        end
    end,
}

TypeClass = CAAMissileNanite03

end